Page MenuHomePhabricator

Special:ApiSandbox links to non-existent section on mediawiki.org
Closed, ResolvedPublic

Description

https://en.wikipedia.org/wiki/Special:ApiSandbox

"Example: get the content of a Main Page." links to https://www.mediawiki.org/wiki/API#A_simple_example, which no longer exists.

We should either delete that entire phrase, or maybe link to a https://www.mediawiki.org/wiki/Special:MyLanguage/API:Tutorial instead.

The message key is apisandbox-intro and it's in the mediawiki repository (core).
https://github.com/wikimedia/mediawiki/blob/master/languages/i18n/en.json#L2144

You only need to change en.json and qqq.json as all other messages will be updated by translators at translatewiki.net

See also:
https://www.mediawiki.org/wiki/Localisation#Changing_existing_messages

Event Timeline

Mvolz created this task.Oct 25 2019, 12:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 25 2019, 12:53 PM
Mvolz updated the task description. (Show Details)Oct 25 2019, 12:53 PM
Restricted Application added a project: Platform Engineering. · View Herald TranscriptOct 25 2019, 12:55 PM
Mvolz updated the task description. (Show Details)Oct 25 2019, 1:07 PM
Anomie moved this task from Unsorted to Non-Code on the MediaWiki-API board.Oct 25 2019, 1:29 PM
WhitePhosphorus triaged this task as Medium priority.
WhitePhosphorus added a subscriber: WhitePhosphorus.

I prefer the idea to add a link to the actual sandbox query. The message document does not need to be updated so I'm not going to modify qqq.json.

Change 551374 had a related patch set uploaded (by WhitePhosphorus; owner: WhitePhosphorus):
[mediawiki/core@master] Fix a broken link in apisandbox-intro

https://gerrit.wikimedia.org/r/551374

Anomie added a subscriber: Anomie.Nov 18 2019, 2:54 PM

We should either delete that entire phrase, or maybe link to a query using the actual sandbox instead of a page on mediawiki.org so it's guaranteed to work despite any changes made to mediawiki.org pages in the future.

When the link worked, it went to https://www.mediawiki.org/w/index.php?title=API:Main_page&oldid=2855599#A_simple_example. The benefit of that isn't in the example itself, it's in the explanation of all the parts of the query for a new user.

If there's no such page in the updated documentation, and no such page is going to be created, I'd just remove the phrase. The bare query itself doesn't serve much purpose IMO, and is redundant to the examples attached to the various modules.

https://www.mediawiki.org/wiki/Special:MyLanguage/API:Tutorial seems to be a better alternative, according to the above.

Yes, that page looks like a good target for the link.

Mvolz updated the task description. (Show Details)Nov 21 2019, 12:57 PM

Change 551374 merged by jenkins-bot:
[mediawiki/core@master] Fix a broken link in apisandbox-intro

https://gerrit.wikimedia.org/r/551374

Anomie closed this task as Resolved.Dec 17 2019, 5:43 PM

Change should be deployed to Wikimedia sites with 1.35.0-wmf.14.

Aklapper removed a subscriber: Anomie.Oct 16 2020, 5:41 PM